# Generated from bubble-wrap-1.9.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bubble-wrap

Name: rubygem-%{gem_name}
Version: 1.9.7
Release: 1%{?dist}
Summary: RubyMotion wrappers and helpers (Ruby for iOS and OS X) - Making Cocoa APIs more Ruby like, one API at a time. Fork away and send your pull request
License: MIT
URL: https://github.com/rubymotion-community/BubbleWrap
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mocha) >= 0.11
# BuildRequires: rubygem(mocha) < 1
# BuildRequires: rubygem(mocha-on-bacon) >= 0.2
# BuildRequires: rubygem(mocha-on-bacon) < 1
# BuildRequires: rubygem(bacon) >= 1.2
# BuildRequires: rubygem(bacon) < 2
# BuildRequires: rubygem(webstub) >= 1.1
# BuildRequires: rubygem(webstub) < 2
BuildArch: noarch

%description
RubyMotion wrappers and helpers (Ruby for iOS and OS X) - Making Cocoa APIs
more Ruby like, one API at a time. Fork away and send your pull request.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# bacon -a
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/GEM.md
%{gem_instdir}/GETTING_STARTED.md
%{gem_instdir}/HACKING.md
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/motion
%{gem_instdir}/resources
%{gem_instdir}/samples
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bubble-wrap.gemspec
%{gem_instdir}/spec

%changelog
* Sun Sep 12 2021 mockbuilder - 1.9.7-1
- Initial package
